var nb_actus_par_page = 2;
var delai_changement = 6000;
var nb_actus = 1;
window.onload = initMenuClick;
var actu;
var pause;

var offset = 0;

var num = 0;
var ids = [ '31', '' ];
var titres = [ 'Exposition &quot;Art de Vivre, l&#039;Excellence de Lorraine&quot; à Paris', '' ];

var contenus = [ '<table><tr><td valign="top">L\'exposition "Art de Vivre - L\'Excellence de Lorraine" se déroulera du 20 au 24 Septembre 2007, en plein coeur de Paris, dans les locaux de la Bourse de Commerce de la CCI de Paris, situés 2 Rue de Viarmes, à proximité du Forum des Halles et de Saint Eustache.</td></tr></table>', '' ];

function initMenuClick() {
	pause = false;

	
	// setInterval(depl, 50);
	
	if (document.getElementById("div_alaune") != null)
	{
		

	document.getElementById("div_alaune").innerHTML += '<div id="div_alaune0"><h4><a id="a_alaune0" href="alaune.php5?id=31#31">Exposition &quot;Art de Vivre, l&#039;Excellence de Lorraine&quot; à Paris</a></h4><div id="alaune_conteneur"><div id="alaune_contenu0"><table><tr><td valign="top">L\'exposition "Art de Vivre - L\'Excellence de Lorraine" se déroulera du 20 au 24 Septembre 2007, en plein coeur de Paris, dans les locaux de la Bourse de Commerce de la CCI de Paris, situés 2 Rue de Viarmes, à proximité du Forum des Halles et de Saint Eustache.</td></tr></table></div></div></div>';
		for (var j=0;j<2; ++j)
		{
			document.getElementById("div_alaune"+j).style.height = "200px";
			var as = document.getElementById("div_alaune"+j).getElementsByTagName('div');
			for (var i=0;i<as.length;i++) {
				as[i].onmouseover = function(){ pause = true;}
				as[i].onmouseout = function(){ pause = false;}
			}
		}

		// changement des actus
		setInterval(fade, delai_changement);
	}
}

function depl()
{
	document.getElementById("defileur").style.backgroundPosition = offset +"px 0px";
	if (offset < -772)
		offset = 0;
	else
		offset -= 1;
}
var nb;
function ChangerContenu()
{
	for (var j=0;j < nb; ++j)
	{
		document.getElementById("a_alaune"+j).innerHTML = titres[num+j];
		document.getElementById("a_alaune"+j).href = "alaune.php5?id="+ids[num+j]+"#"+ids[num+j];
		document.getElementById("alaune_contenu"+j).innerHTML = contenus[num+j];
	}
}

function defiler(i)
{
	for (var j=0;j<nb; ++j)
	{
		document.getElementById("a_alaune"+j).style.bottom = -i/3 + "px";
		document.getElementById("alaune_contenu"+j).style.top = -i*3 + "px";
	}
}

function fade() {
	if (! pause) {
		var vitesse = 5;
	
		if (num + nb_actus_par_page >= nb_actus)
			num = 0;
		else num += nb_actus_par_page;
		
		if (nb_actus == nb_actus_par_page)
			nb = 0;
		else
			nb = Math.min(nb_actus-num, nb_actus_par_page);
		
		for (var i = 0; i <= 100; i+=3)
			setTimeout("defiler("+ (i) +")", vitesse*i);
		setTimeout("ChangerContenu()", vitesse*101);
		for (var i = 0; i <= 100; i+=3)
			setTimeout("defiler("+ (100-i) +")", vitesse*(103+i));
			
	}
}
